Bug 1472875 (CVE-2017-11110)

Summary: CVE-2017-11110 catdoc: Heap buffer overflow in the ole_init function
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: adel.gadllah, pertusus, redhat-bugzilla, v.owl337
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:17:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1472876, 1472877    
Bug Blocks:    

Description Andrej Nemec 2017-07-19 15:03:39 UTC
The ole_init function in ole.c in catdoc 0.95 allows remote attackers to cause a denial of service (heap-based buffer underflow and application crash) or possibly have unspecified other impact via a crafted file, i.e., data is written to memory addresses before the beginning of the tmpBuf buffer.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1468471

Comment 1 Andrej Nemec 2017-07-19 15:04:50 UTC
Created catdoc tracking bugs for this issue:

Affects: epel-all [bug 1472876]
Affects: fedora-all [bug 1472877]

Comment 2 Product Security DevOps Team 2019-06-08 03:17:03 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.

Comment 3 Robert Scheck 2021-05-03 00:26:26 UTC
*** Bug 1468471 has been marked as a duplicate of this bug. ***